LILYPOND(1)

NAME
LilyPond - manual page for LilyPond 2.19.82

SYNOPSIS
lilypond [OPTION]... FILE...

DESCRIPTION
Typeset music and/or produce MIDI from FILE.

LilyPond produces beautiful music notation. For more information, see http://lilypond.org

OPTIONS

-f, --formats=FORMATs
    dump FORMAT,... Also as separate options:

--pdf
    generate PDF files (default)

--png
    generate PNG files

--ps
    generate PostScript files

-E, --eps
    generate Encapsulated PostScript files

-O, --pspdfopt=KEY
    set ps/pdf optimization to KEY (default: size) KEY is either 'size', 'TeX' or 'TeX-GS'

-d, --define-default=SYM[=VAL]
    set Scheme option SYM to VAL (default: #t). Use -dhelp for help.

-e, --evaluate=EXPR
    evaluate scheme code

-h, --help
    show this help and exit

-H, --header=FIELD
    dump header field FIELD to file named BASENAME.FIELD

-I, --include=DIR
    add DIR to search path

-i, --init=FILE
    use FILE as init file

-j, --jail=USER, GROUP, JAIL, DIR
    chroot to JAIL, become USER:GROUP and cd into DIR

-l, --loglevel=LOGLEVEL
    print log messages according to LOGLEVEL. Possible values are: NONE, ERROR, WARNING, BASIC, PROGRESS, INFO (default) and DEBUG.

-o, --output=FILE
    write output to FILE (suffix will be added)

--relocate
    relocate using directory of lilypond program

-s, --silent
    no progress, only error messages (equivalent to loglevel=ERROR)

-v, --version
    show version number and exit

-V, --verbose
    be verbose (equivalent to loglevel=DEBUG)

-w, --warranty
    show warranty and copyright

You found a bug? Please read http://lilypond.org/bug-reports.html

COPYRIGHT
Copyright © 1996--2015 by

    Han-Wen Nienhuys <hanwen@xs4all.nl> Jan Nieuwenhuizen <janneke@gnu.org> and others.

This program is free software. It is covered by the GNU General Public License and you are welcome to change it and/or distribute copies of it under certain conditions. Invoke as `lilypond --warranty' for more information.

SEE ALSO
The full documentation for LilyPond is maintained as a Texinfo manual. If the info and LilyPond programs are properly installed at your site, the command

    info LilyPond

should give you access to the complete manual.